Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Portage vs. Bash
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
hak88
n00b
n00b


Joined: 01 Oct 2005
Posts: 34

PostPosted: Mon May 05, 2008 5:55 pm    Post subject: Portage vs. Bash Reply with quote

Well I'm trying to emerge portage and bash pkg is conflicting with portage, so it won't compile.
mktemp and coreutils is unmerged, and I have no clue what to do.

With command codes help, that would help a lot.

So any ideas?
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43383
Location: 56N 3W

PostPosted: Mon May 05, 2008 6:08 pm    Post subject: Reply with quote

hak88,

Removing coreutils is a very bad thing. emerge it if you still can or get a suitable binary from the tinderbox
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 7071

PostPosted: Mon May 05, 2008 6:37 pm    Post subject: Reply with quote

https://forums.gentoo.org/viewtopic-t-690105.html
Back to top
View user's profile Send private message
nalius
n00b
n00b


Joined: 06 May 2008
Posts: 2

PostPosted: Tue May 06, 2008 10:46 pm    Post subject: Reply with quote

I'm having the same problem

emerge -p portage

and get this error

Code:
<sys-apps/portage-2.1.4_rc1 (is blocking app-shells/bash-3.2_p33)


this is a fresh install, got the the part of the handbook about syncing portage. Tried the above link didn't help at all.
Back to top
View user's profile Send private message
ABCDwp
Developer
Developer


Joined: 26 Mar 2006
Posts: 79

PostPosted: Wed May 07, 2008 5:33 am    Post subject: Reply with quote

Try updating app-shells/bash first
Back to top
View user's profile Send private message
zoomie66
n00b
n00b


Joined: 28 Jan 2005
Posts: 47
Location: Secret Underground Lair

PostPosted: Wed May 07, 2008 6:58 am    Post subject: Reply with quote

nalius wrote:
I'm having the same problem

emerge -p portage

and get this error

Code:
<sys-apps/portage-2.1.4_rc1 (is blocking app-shells/bash-3.2_p33)


this is a fresh install, got the the part of the handbook about syncing portage. Tried the above link didn't help at all.


I also have the same problem...on a fresh install. What I did was to try this:
Code:
emerge --nodeps portage

then I updated bash...this seemed to work for me.
_________________
There are three types of people in the world...those that can count and those that can't.
Back to top
View user's profile Send private message
hak88
n00b
n00b


Joined: 01 Oct 2005
Posts: 34

PostPosted: Wed May 07, 2008 2:42 pm    Post subject: Reply with quote

I tried that then it warns me about file collisions, and it fails to compile.
This happened after I tried to "manually fixing portage".
Back to top
View user's profile Send private message
nalius
n00b
n00b


Joined: 06 May 2008
Posts: 2

PostPosted: Wed May 07, 2008 2:58 pm    Post subject: Reply with quote

Zoomie66 that fixed my problem. Thank you!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum